import type { LanguageRegistration, ThemeRegistrationAny } from '@shikijs/types';
import { type FunctionComponent } from 'react';
import { type ScrollViewProps, type StyleProp, type TextStyle, type ViewStyle } from 'react-native';
export interface SyntaxHighlighterProps {
    text: string;
    language: string;
    theme: string | ThemeRegistrationAny;
    fontSize?: number;
    textStyle?: StyleProp<TextStyle>;
    scrollViewProps?: ScrollViewProps;
    containerStyle?: StyleProp<ViewStyle>;
    debugMode?: boolean;
}
export declare const SyntaxHighlighterRegistry: {
    registerLanguage: (name: string, language: LanguageRegistration | LanguageRegistration[]) => Promise<void>;
    registerTheme: (name: string, theme: ThemeRegistrationAny) => Promise<void>;
    isLanguageRegistered: (name: string) => boolean;
    isThemeRegistered: (name: string) => boolean;
    getRegisteredLanguages: () => string[];
    getRegisteredThemes: () => string[];
};
export declare const SyntaxHighlighter: FunctionComponent<SyntaxHighlighterProps>;
export default SyntaxHighlighter;
//# sourceMappingURL=SyntaxHighlighter.d.ts.map